/*****************************************************************************
 * DMC_SCB_PRIO_Test_Core0.h
 *****************************************************************************/

#ifndef __DMC_SCB_PRIO_TEST_CORE0_H__
#define __DMC_SCB_PRIO_TEST_CORE0_H__

#define DDR2_BANK0_START_ADDRESS 0x80000000

//Change the DMA config parameters here
#define SOURCE_PSIZE 4
#define DEST_PSIZE   4
#define SOURCE_MSIZE 8
#define DEST_MSIZE   8
#define SOURCE_DMA_CFG ENUM_DMA_CFG_MSIZE08|ENUM_DMA_CFG_PSIZE04
#define DEST_DMA_CFG BITM_DMA_CFG_WNR|ENUM_DMA_CFG_PSIZE04|ENUM_DMA_CFG_MSIZE08|ENUM_DMA_CFG_XCNT_INT

#define MAX_SIZE 8*1024

#define CCLK_SPEED 400.0

#endif /* __DMC_SCB_PRIO_TEST_CORE0_H__ */
